Attribute VB_Name = "MExample04"


Public Sub Main()
    Dim sWordsToSearch() As String
    Dim sCurLine As String
    
    sWordsToSearch = Split(Command$, " ")

    Dim i As Long
    Dim lb As Long
    Dim ub As Long
     
    lb = LBound(sWordsToSearch)
    ub = UBound(sWordsToSearch)
    
    EasyconInitialize
    
    If ub - lb = -1 Then
        stderr.WriteLine "Error! No command line arguments supplied!"
        stderr.WriteLine "This utility dumps all lines of stdin-supplied text "
        stderr.WriteLine "containing any of suppiled search sords."
        stderr.WriteLine
        stderr.WriteLine "Command line syntax is following:"
        stderr.WriteLine App.EXEName + " word1 word2 ... wordN"
        
        Exit Sub
    End If
    
    'On Error GoTo eh
   
    Do
        sCurLine = stdin.ReadLine
        If stdin.AtEndOfStream Then Exit Sub
        
        If Len(sCurLine) = 0 Then GoTo NextLineProcessing
        
        For i = lb To ub
            If Len(sWordsToSearch(i)) > 0 Then
                If InStr(1, sCurLine, sWordsToSearch(i), vbTextCompare) > 0 Then
                    stdout.WriteLine "Line [" + Format(stdin.Line, "00#") + "]: " + sCurLine
                      
                    GoTo NextLineProcessing
                End If
            End If
        Next i
NextLineProcessing:
    Loop
End Sub
